package com.gic.store.service;

import com.gic.store.dto.StoreDTO;
import com.gic.store.entity.TabStore;
import com.github.pagehelper.Page;

/**
 * @author zhiwj
 * @date 2019/6/27
 */
public interface StoreService {
    /**
     * 保存
     * @param storeDTO
     * @return 返回id
     */
    Integer save(StoreDTO storeDTO);

    Integer update(StoreDTO storeDTO);

    /**
     * 该分组下门店的个数
     * @param storeGroupId
     * @return
     */
    Integer countByGroupId(Integer storeGroupId);

    /**
     * 修改门店分组
     * @param oldStoreGroupId
     * @param newStoreGroupId
     * @return
     */
    Integer updateGroupId(Integer oldStoreGroupId, Integer newStoreGroupId);

    TabStore getById(Integer storeId);

    /**
     * 查询使用了该品牌的门店个数
     * @param brandId
     * @return
     */
    Integer countByBrandId(Integer brandId);

    /**
     * 查询如企业下门店关联主键的个数
     * @param enterpriseId
     * @param storeCode
     * @param storeId  如果id不为null， 会查询storeId不为传入参数的数据；如果id为null， 会略过
     * @return
     */
    Integer countByStoreCode(Integer enterpriseId, String storeCode, Integer storeId);

    Page listStore(StoreDTO storeDTO, Integer pageNum, Integer pageSize);

    Integer checkCompleteStatus(StoreDTO storeDTO);
}
